bifunctors-5.1: Bifunctors

Copyright | (C) 2008-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | provisional
Portability | portable
Safe Haskell | Safe
Language | Haskell98

Data.Bifunctor.Wrapped

Description

Synopsis

- newtype WrappedBifunctor p a b = WrapBifunctor {
  - unwrapBifunctor :: p a b
  }

# Documentation

newtype WrappedBifunctor p a b Source

Make a `Functor` over the second argument of a `Bifunctor`.

Constructors

WrapBifunctor |

Fields

unwrapBifunctor :: p a b

Instances

Bifunctor p => Bifunctor (WrappedBifunctor p) Source |
Bifoldable p => Bifoldable (WrappedBifunctor p) Source |
Bitraversable p => Bitraversable (WrappedBifunctor p) Source |
Biapplicative p => Biapplicative (WrappedBifunctor p) Source |
Bifunctor p => Functor (WrappedBifunctor p a) Source |
Bifoldable p => Foldable (WrappedBifunctor p a) Source |
Bitraversable p => Traversable (WrappedBifunctor p a) Source |
Eq (p a b) => Eq (WrappedBifunctor p a b) Source |
Ord (p a b) => Ord (WrappedBifunctor p a b) Source |
Read (p a b) => Read (WrappedBifunctor p a b) Source |
Show (p a b) => Show (WrappedBifunctor p a b) Source |